package config

import (
	"encoding/json"
	"os"
  "log"
)

type Server struct {
	Name  string `json:"name"`
	Label string `json:"label"`
}

type MQTTConfigObject struct {
  Broker string `json:"broker"`
  Username string `json:"username"`
  Password string `json:"password"`
  TlsEnable string `json:"tlsEnable"`
  Topic string `json:"topic"`
}

type ConfigObject struct {
  Mqtt MQTTConfigObject `json:"mqtt"`  
  Interval int `json:"interval"`
	Servers []Server `json:"servers"`
}

var Config ConfigObject

func LoadConfiguration() {
  cfg := os.Getenv("TSM_MQTT_CONF")
  log.Printf("cfg: %s", cfg)
  err := json.Unmarshal([]byte(cfg), &Config)
  if err != nil {
    log.Fatalf("Unable to parse configuration: %v", err)
  }
}

